Subject: bluez 5.55 and dependent packages are unable to install

From: Luke Hayes <[email-masked]>
Date: Fri, 19 Nov 2021 11:45:30 -0700

Hello,

   I am quite new to guix as I have used it for only a week. I am using 
guix on top of ubuntu 18.04 which is running on an aarch64 system.  I 
recently  performed a guix pull operation which, upon successful 
operation, suggested that I run guix package -u. So I attempted to run 
the command, but it failed out. After checking the log I was able to 
determine that it failed while checking the bluez build. I then ran guix 
build bluez --check to make sure that it was the problem package, and it 
failed out as follows:

phase `build' succeeded after 93.3 seconds
starting phase `skip-wonky-test'
phase `skip-wonky-test' succeeded after 0.1 seconds
starting phase `check'
make --no-print-directory check-am
make --no-print-directory check-TESTS
   CC       src/eir.o
   CC       src/textfile.o
   CC       src/sdpd-database.o
   CC       src/sdpd-service.o
   CC       src/sdpd-request.o
   CC       unit/test-avdtp.o
   CC       unit/test-avctp.o
   CC       android/avctp.o
   CC       unit/test-avrcp.o
   CC       android/avrcp-lib.o
   CC       unit/test-hfp.o
   CC       unit/test-gdbus-client.o
   CC       unit/util.o
   CC       unit/test-gobex-header.o
   CC       unit/test-gobex-packet.o
   CC       unit/test-gobex.o
   CC       unit/test-gobex-transfer.o
   CC       unit/test-gobex-apparam.o
   CC       unit/test-lib.o
   CC       unit/test-gatt.o
   CC       unit/test-hog.o
   CC       profiles/input/hog-lib.o
   CC       profiles/scanparam/scpp.o
   CC       profiles/battery/bas.o
   CC       profiles/deviceinfo/dis.o
   CC       attrib/att.o
   CC       attrib/gatt.o
   CC       attrib/gattrib.o
   CC       unit/test-gattrib.o
   CC       unit/test-eir.o
   CC       unit/test-uuid.o
   CC       unit/test-textfile.o
   CC       unit/test-crc.o
   CC       unit/test-crypto.o
   CC       unit/test-ecc.o
   CC       unit/test-ringbuf.o
   CC       unit/test-queue.o
   CC       unit/test-mgmt.o
   CC       unit/test-uhid.o
   CC       unit/test-sdp.o
   CC       android/avdtp.o
   CCLD     unit/test-avctp
   CCLD     unit/test-avrcp
   CCLD     unit/test-hfp
   CCLD     unit/test-gdbus-client
   CCLD     unit/test-gobex-header
   CCLD     unit/test-gobex-packet
   CCLD     unit/test-gobex
   CCLD     unit/test-gobex-transfer
   CCLD     unit/test-gobex-apparam
   CCLD     unit/test-lib
   CCLD     unit/test-gatt
   CCLD     unit/test-hog
   CCLD     unit/test-gattrib
   CCLD     unit/test-eir
   CCLD     unit/test-uuid
   CCLD     unit/test-textfile
   CCLD     unit/test-crc
   CCLD     unit/test-crypto
   CCLD     unit/test-ecc
   CCLD     unit/test-ringbuf
   CCLD     unit/test-queue
   CCLD     unit/test-mgmt
   CCLD     unit/test-uhid
   CCLD     unit/test-avdtp
PASS: unit/test-avctp
PASS: unit/test-hfp
PASS: unit/test-gdbus-client
PASS: unit/test-gobex-header
PASS: unit/test-gobex-packet
PASS: unit/test-gobex
PASS: unit/test-gobex-apparam
PASS: unit/test-lib
SKIP: unit/test-gatt
PASS: unit/test-hog
PASS: unit/test-gattrib
PASS: unit/test-eir
PASS: unit/test-uuid
PASS: unit/test-textfile
PASS: unit/test-crc
./test-driver: line 107: 10043 Aborted                 (core dumped) 
"$@" > $log_file 2>&1
FAIL: unit/test-crypto
PASS: unit/test-gobex-transfer
PASS: unit/test-avrcp
PASS: unit/test-queue
PASS: unit/test-mgmt
PASS: unit/test-uhid
   CCLD     unit/test-sdp
PASS: unit/test-ecc
PASS: unit/test-sdp
PASS: unit/test-avdtp
PASS: unit/test-ringbuf
============================================================================ 

Testsuite summary for bluez 5.55
============================================================================ 

# TOTAL: 25
# PASS:  23
# SKIP:  1
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================ 

See ./test-suite.log
============================================================================ 

make[3]: *** [Makefile:9726: test-suite.log] Error 1
make[2]: *** [Makefile:9834: check-TESTS] Error 2
make[1]: *** [Makefile:10228: check-am] Error 2
make: *** [Makefile:10230: check] Error 2

Test suite failed, dumping logs.

--- ./test-suite.log 
--------------------------------------------------------

==================================
    bluez 5.55: ./test-suite.log
==================================

# TOTAL: 25
# PASS:  23
# SKIP:  1
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: unit/test-crypto
======================

**
ERROR:unit/test-crypto.c:206:test_sign: assertion failed: 
(result_compare(d->t, t))

/crypto/h6 - init
/crypto/h6 - setup
/crypto/h6 - setup complete
/crypto/h6 - run
   W:
     9b 7d 39 0a a6 10 10 34 05 ad c8 57 a3 34 02 ec .}9....4...W.4..
   M:
     72 62 65 6c rbel
   Expected:
     99 63 b1 80 e2 a9 d3 e8 1c c9 6d e7 02 e1 9a 2d .c........m....-
   Result:
     de f6 ed 37 c5 d9 c2 37 11 1e 32 22 99 f3 cf d1 ...7...7..2"....
/crypto/h6 - test failed
/crypto/h6 - teardown
/crypto/h6 - teardown complete
/crypto/h6 - done

/crypto/sign_att_1 - init
/crypto/sign_att_1 - setup
/crypto/sign_att_1 - setup complete
/crypto/sign_att_1 - run
   Result T:
     00 00 00 00 28 37 59 e9 29 69 1d bb ....(7Y.)i..
   Expected T:
     00 00 00 00 b3 a8 59 41 27 eb c2 c0 ......YA'...
Bail out! ERROR:unit/test-crypto.c:206:test_sign: assertion failed: 
(result_compare(d->t, t))
FAIL unit/test-crypto (exit status: 134)

SKIP: unit/test-gatt
====================

SKIP unit/test-gatt (exit status: 77)

command "make" "check" "-j" "4" failed with status 2
builder for `/gnu/store/zwggi6id5b52fgyy1i7hl9gr6iaj20cg-bluez-5.55.drv' 
failed with exit code 1
build of /gnu/store/zwggi6id5b52fgyy1i7hl9gr6iaj20cg-bluez-5.55.drv failed
View build log at 
'/var/log/guix/drvs/zw/ggi6id5b52fgyy1i7hl9gr6iaj20cg-bluez-5.55.drv.bz2'.
guix build: error: build of 
`/gnu/store/zwggi6id5b52fgyy1i7hl9gr6iaj20cg-bluez-5.55.drv' failed

I tested this between two aarch64 systems both of which failed in the 
same manner.